Commit 28938a20 authored by Leo's avatar Leo
Browse files

community/flawfinder: upgrade to 2.0.11

parent 10869d1e
# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
pkgname=flawfinder
pkgver=2.0.10
pkgrel=1
pkgver=2.0.11
pkgrel=0
pkgdesc="Examines C/C++ source code for security flaws"
url="http://www.dwheeler.com/flawfinder/"
arch="noarch"
......@@ -10,12 +10,10 @@ license="GPL-2.0"
depends="python3"
makedepends="py3-setuptools"
subpackages="$pkgname-doc"
source="http://www.dwheeler.com/flawfinder/flawfinder-$pkgver.tar.gz
use-python3.patch
"
source="http://www.dwheeler.com/flawfinder/flawfinder-$pkgver.tar.gz"
check() {
make check
make check PYTHON=python3 PYTHON3=python3
}
build() {
......@@ -26,5 +24,4 @@ package() {
python3 setup.py install --prefix=/usr --root="$pkgdir"
}
sha512sums="4bf24f4b84fc17d1cecda7686259efdd4d36afc267a315be147545518ba965929f3a58d13f534aec4c1816e55cfb854ec647d09e170bb5f5eccfb4dc3469acd0 flawfinder-2.0.10.tar.gz
aef3c9fc285255903e3b244bd76f99c7a7fe3c391f2d6a274ff7d1ea6dc38be82c9b537f3518c6cc600d5b3d5f60f1ed3b69aeaefc13246f9d908066273148ce use-python3.patch"
sha512sums="4236da49914fa6317eb2fae1b3fd7ba08aa96a34bc5245bfd15b6532049193cbd0367bb3620e32252ce71cdd1128bec4b20c0e88b02c55d0ede1bb5bb091ddeb flawfinder-2.0.11.tar.gz"
--- flawfinder-2.0.7/makefile
+++ flawfinder-2.0.7-use-python3/makefile
@@ -12,8 +12,7 @@
ARCH=noarch
SAMPLE_DIR=/usr/src/linux-2.2.16
-PYTHON=python
-PYTHON2=python2
+PYTHON=python3
PYTHON3=python3
# Flawfinder has traditionally used INSTALL_DIR, INSTALL_DIR_BIN, and
@@ -190,9 +189,6 @@
# Usual check routine. Run all tests using *both* python2 and python3.
check:
- @echo "Testing with $(PYTHON2)"
- @PYTHON="$(PYTHON2)" $(MAKE) test
- @echo
@echo "Testing with $(PYTHON3)"
@PYTHON="$(PYTHON3)" $(MAKE) test
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment